org.eclipse.emf.cdo.spi.common

## Interface CDOReplicationInfo

- All Known Subinterfaces:
    CDORawReplicationContext, CDOReplicationContext, InternalFailoverParticipant, InternalSynchronizableRepository

      public interface CDOReplicationInfo

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLastReplicatedBranchID()`
    `long` | `getLastReplicatedCommitTime()`
    `java.lang.String[]` | `getLockAreaIDs()`

- - ### Method Detail

    - #### getLastReplicatedBranchID

          int getLastReplicatedBranchID()

    - #### getLastReplicatedCommitTime

          long getLastReplicatedCommitTime()

    - #### getLockAreaIDs

          java.lang.String[] getLockAreaIDs()

      Since:
        4.1

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html